/* Virginia Tech Cognitive Radio Open Source Systems
 * Virginia Tech, 2009
 *
 * LICENSE INFORMATION GOES HERE
 *
 */

#ifdef GCC_EXPERIMENTAL
    #include <cstdint>
#else
    #include <stdint.h>
#endif

using namespace std;

struct CE_Info {
	uint32_t numUtilities;
	uint32_t numParameters;
	uint32_t numObservables;
    uint32_t policy_engine;
    uint32_t policy_socket;
    uint32_t ce_socket;
};

struct Utility {
	string name;
	string units;
	string goal;
	float target;
    float value;
};

struct Affect {
	Utility *u;
	string relation;
};

struct Parameter {
	string name;
	string units;
	float min;
	uint32_t numAffects;
	Affect affection_list[10];
	float max;
	float step;
    float value;
};

struct Observable {
	string name;
	Affect affection_list[10];
	uint32_t numAffects;
    float value;
};


